openSUSE: 2021:0938-1 important: chromium

Advisories


   openSUSE Security Update: Security update for chromium
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0938-1
Rating:             important
References:         #1187141 #1187481 
Cross-References:   CVE-2021-30544 CVE-2021-30545 CVE-2021-30546
                    CVE-2021-30547 CVE-2021-30548 CVE-2021-30549
                    CVE-2021-30550 CVE-2021-30551 CVE-2021-30552
                    CVE-2021-30553 CVE-2021-30554 CVE-2021-30555
                    CVE-2021-30556 CVE-2021-30557
CVSS scores:
                    CVE-2021-30544 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30545 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30546 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30547 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30548 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30549 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30550 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30551 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30552 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-30553 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Backports SLE-15-SP3
______________________________________________________________________________

   An update that fixes 14 vulnerabilities is now available.

Description:

   This update for chromium fixes the following issues:

   Chromium 91.0.4472.114 (boo#1187481)

   * CVE-2021-30554: Use after free in WebGL
   * CVE-2021-30555: Use after free in Sharing
   * CVE-2021-30556: Use after free in WebAudio
   * CVE-2021-30557: Use after free in TabGroups
   * CVE-2021-30544: Use after free in BFCache
   * CVE-2021-30545: Use after free in Extensions
   * CVE-2021-30546: Use after free in Autofill
   * CVE-2021-30547: Out of bounds write in ANGLE
   * CVE-2021-30548: Use after free in Loader
   * CVE-2021-30549: Use after free in Spell check
   * CVE-2021-30550: Use after free in Accessibility
   * CVE-2021-30551: Type Confusion in V8
   * CVE-2021-30552: Use after free in Extensions
   * CVE-2021-30553: Use after free in Network service
   * Fix use-after-free in SendTabToSelfSubMenuModel
   * Destroy system-token NSSCertDatabase on the IO thread
   * Various fixes from internal audits, fuzzing and other initiatives


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Backports SLE-15-SP3:

      zypper in -t patch openSUSE-2021-938=1



Package List:

   - openSUSE Backports SLE-15-SP3 (aarch64 x86_64):

      chromedriver-91.0.4472.114-bp153.2.13.1
      chromedriver-debuginfo-91.0.4472.114-bp153.2.13.1
      chromium-91.0.4472.114-bp153.2.13.1
      chromium-debuginfo-91.0.4472.114-bp153.2.13.1


References:

   https://www.suse.com/security/cve/CVE-2021-30544.html
   https://www.suse.com/security/cve/CVE-2021-30545.html
   https://www.suse.com/security/cve/CVE-2021-30546.html
   https://www.suse.com/security/cve/CVE-2021-30547.html
   https://www.suse.com/security/cve/CVE-2021-30548.html
   https://www.suse.com/security/cve/CVE-2021-30549.html
   https://www.suse.com/security/cve/CVE-2021-30550.html
   https://www.suse.com/security/cve/CVE-2021-30551.html
   https://www.suse.com/security/cve/CVE-2021-30552.html
   https://www.suse.com/security/cve/CVE-2021-30553.html
   https://www.suse.com/security/cve/CVE-2021-30554.html
   https://www.suse.com/security/cve/CVE-2021-30555.html
   https://www.suse.com/security/cve/CVE-2021-30556.html
   https://www.suse.com/security/cve/CVE-2021-30557.html
   https://bugzilla.suse.com/1187141
   https://bugzilla.suse.com/1187481

openSUSE: 2021:0938-1 important: chromium

June 28, 2021
An update that fixes 14 vulnerabilities is now available

Description

This update for chromium fixes the following issues: Chromium 91.0.4472.114 (boo#1187481) * CVE-2021-30554: Use after free in WebGL * CVE-2021-30555: Use after free in Sharing * CVE-2021-30556: Use after free in WebAudio * CVE-2021-30557: Use after free in TabGroups * CVE-2021-30544: Use after free in BFCache * CVE-2021-30545: Use after free in Extensions * CVE-2021-30546: Use after free in Autofill * CVE-2021-30547: Out of bounds write in ANGLE * CVE-2021-30548: Use after free in Loader * CVE-2021-30549: Use after free in Spell check * CVE-2021-30550: Use after free in Accessibility * CVE-2021-30551: Type Confusion in V8 * CVE-2021-30552: Use after free in Extensions * CVE-2021-30553: Use after free in Network service * Fix use-after-free in SendTabToSelfSubMenuModel * Destroy system-token NSSCertDatabase on the IO thread * Various fixes from internal audits, fuzzing and other initiatives

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Backports SLE-15-SP3: zypper in -t patch openSUSE-2021-938=1

Package List

- openSUSE Backports SLE-15-SP3 (aarch64 x86_64): chromedriver-91.0.4472.114-bp153.2.13.1 chromedriver-debuginfo-91.0.4472.114-bp153.2.13.1 chromium-91.0.4472.114-bp153.2.13.1 chromium-debuginfo-91.0.4472.114-bp153.2.13.1

References

https://www.suse.com/security/cve/CVE-2021-30544.html https://www.suse.com/security/cve/CVE-2021-30545.html https://www.suse.com/security/cve/CVE-2021-30546.html https://www.suse.com/security/cve/CVE-2021-30547.html https://www.suse.com/security/cve/CVE-2021-30548.html https://www.suse.com/security/cve/CVE-2021-30549.html https://www.suse.com/security/cve/CVE-2021-30550.html https://www.suse.com/security/cve/CVE-2021-30551.html https://www.suse.com/security/cve/CVE-2021-30552.html https://www.suse.com/security/cve/CVE-2021-30553.html https://www.suse.com/security/cve/CVE-2021-30554.html https://www.suse.com/security/cve/CVE-2021-30555.html https://www.suse.com/security/cve/CVE-2021-30556.html https://www.suse.com/security/cve/CVE-2021-30557.html https://bugzilla.suse.com/1187141 https://bugzilla.suse.com/1187481

Severity
Announcement ID: openSUSE-SU-2021:0938-1
Rating: important
Affected Products: openSUSE Backports SLE-15-SP3 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.